### Virtual Method

# Gio Application dbus_register

#### Declaration

    gboolean
    dbus_register (
      GApplication* application,
      GDBusConnection* connection,
      const gchar* object_path,
      GError** error
    )

#### Description

Invoked locally during registration, if the application is using its D-Bus backend. You can use this to export extra objects on the bus, that need to exist before the application tries to own the bus name. The function is passed the `GDBusConnection` to to session bus, and the object path that `GApplication` will use to export its D-Bus API. If this function returns `TRUE`, registration will proceed; otherwise registration will abort. Since: 2.34.

#### Parameters

`connection`

  Type: `GDBusConnection`

  No description available.

  The data is owned by the caller of the method.

`object_path`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.